import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ApiService {
    private http;
    private _apiUrl;
    constructor(http: HttpClient);
    get apiUrl(): string;
    set apiUrl(url: string);
    exportData(url: string): Observable<Blob>;
    request<T>(method: string, url: string, options?: Object): Observable<T>;
    getJson<T>(url: string, options?: Object): Observable<T>;
    postJson<T>(url: string, body?: any, options?: Object): Observable<T>;
    putJson<T>(url: string, body?: any, options?: Object): Observable<T>;
    patchJson<T>(url: string, body: any, options?: Object): Observable<T>;
    deleteJson<T>(url: string, options?: Object): Observable<T>;
    getXml(url: string, options?: Object): Observable<any>;
    postXml(url: string, body: any, options?: Object): Observable<any>;
    private fullUrl;
    private createHttpRequestOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiService>;
}
